<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>MS Anti Tracking Cleaner</title>
</head>
<body>
    <h1>MS Anti Tracking Cleaner</h1>
    <a>Input tracking URL and hit enter:</a>
    <form>
        <input type="text" id="input" name="input" size="100">
        <label for="input">Tracking Input</label>
        <br>
        <input type="text" id="output" name="output" size="100">
        <label for="output">Cleaned Output</label>
    </form>

    <script>
        const regex = /url=([^&]+)/;
        document.getElementById('input').addEventListener('keypress', function(event) {
            if (event.keyCode === 13) {
                document.getElementById('output').value = "";
                document.getElementById('output').value = decodeURIComponent(this.value.match(regex)[1]);
                document.getElementById('output').select();
                document.getElementById('output').focus();
            }
        });
    </script>
</body>
</html>
